searchNodes=[{"ref":"Nervoku.html","title":"Nervoku","type":"module","doc":"Documentation for Nervoku."},{"ref":"Nervoku.html#active_app/1","title":"Nervoku.active_app/1","type":"function","doc":"Tells what device is currently in use. Examples iex&gt; 192.168.86.28 |&gt; Nervoku.active_app() %{id: &quot;13535&quot;, name: &quot;Plex&quot;, sub_type: &quot;rsga&quot;, type: &quot;appl&quot;, version: &quot;6.3.13&quot;}"},{"ref":"Nervoku.html#device_info/1","title":"Nervoku.device_info/1","type":"function","doc":"Gets device info for your roku Examples iex&gt; 192.168.86.28 |&gt; Nervoku.device_info() %{ software_build: &quot;4129&quot;, default_name: &quot;TCL•Roku TV - UHOAIUFHSAF&quot;, time_zone_offset: -240, ethernet_mac: &quot;23:23:23:41:34:cd&quot;, tuner_type: &quot;ATSC&quot;, network_name: &quot;Network&quot;, screen_size: 49, network_type: &quot;wifi&quot;, supports_find_remote?: true, software_version: &quot;9.1.0&quot;, power_mode: &quot;PowerOn&quot;, country: &quot;US&quot;, udn: &quot;818afcbc-8181-81cf-81dd-1919ccff99cc&quot;, language: &quot;en&quot;, wifi_driver: &quot;realtek&quot;, time_zone_name: &quot;United States/Eastern&quot;, serial_number: &quot;UAYA9292SS99&quot;, is_stick?: false, advertising_id: &quot;818afcbc-8181-81cf-81dd-1919ccff99cc&quot;, panel_id: 32, time_zone_auto?: true, headphones_connected?: false, build_number: &quot;309.10E04129A&quot;, model_region: &quot;US&quot;, friendly_model_name: &quot;TCL•Roku TV&quot;, supports_ethernet?: true, uptime: 1409333, vendor_name: &quot;TCL&quot;, is_tv?: true, clock_format: &quot;12-hour&quot;, user_device_name: &quot;49\\&quot; TCL Roku TV&quot;, model_number: &quot;7117X&quot;, time_zone_tz: &quot;America/New_York&quot;, model_name: &quot;49S517&quot;, find_remote_is_possible?: false, wifi_mac: &quot;1b:7a:6a:41:f1:dc&quot;, friendly_name: &quot;49\\&quot; TCL Roku TV&quot;, supports_suspend?: true, time_zone: &quot;US/Eastern&quot;, device_id: &quot;FSU8C8992112&quot;, secure_device?: true, locale: &quot;en_US&quot; }"},{"ref":"Nervoku.html#find_rokus/1","title":"Nervoku.find_rokus/1","type":"function","doc":"Checks the network for any roku devices. Will attempt SSDP and if none are found does a manual ping. If you have a Roku TV it has to do the manual ping because they aren&#39;t setup for SSDP. Examples iex&gt; Nervoku.find_rokus() {:ok, %{location: &quot;192.168.86.28&quot;}}"},{"ref":"Nervoku.html#ip/0","title":"Nervoku.ip/0","type":"function","doc":"Returns &quot;192.168.86.28&quot;. Examples iex&gt; Nervoku.ip() &quot;192.168.86.28&quot;"},{"ref":"Nervoku.html#key_map/0","title":"Nervoku.key_map/0","type":"function","doc":""},{"ref":"Nervoku.html#launch_app/2","title":"Nervoku.launch_app/2","type":"function","doc":"Launches an app my its app ID Examples iex&gt; 192.168.86.28 |&gt; Nervoku.launch_app(&quot;13535&quot;) :ok iex&gt; 192.168.86.28 |&gt; Nervoku.launch_app(&quot;tvinput.dtv&quot;) :ok"},{"ref":"Nervoku.html#list_apps/1","title":"Nervoku.list_apps/1","type":"function","doc":"Lists all available apps on given device. Examples iex&gt; 192.168.86.28 |&gt; Nervoku.list_apps() [ %{ id: &quot;13535&quot;, name: &quot;Plex&quot;, sub_type: &quot;rsga&quot;, type: &quot;appl&quot;, version: &quot;6.3.13&quot; }, %{ id: &quot;151908&quot;, name: &quot;The Roku Channel&quot;, sub_type: &quot;rsga&quot;, type: &quot;appl&quot;, version: &quot;2.5.19&quot; } ]"},{"ref":"Nervoku.html#press_key/2","title":"Nervoku.press_key/2","type":"function","doc":"Presses one of the available keys. Examples iex&gt; 192.168.86.28 |&gt; Nervoku.press_key(:DIN) {:error, :invalid_key} iex&gt; 192.168.86.28 |&gt; Nervoku.press_key(:down) :ok"},{"ref":"Nervoku.html#tv_channels/1","title":"Nervoku.tv_channels/1","type":"function","doc":"Gets available TV channels (if using roku TV) Examples iex&gt; 192.168.86.28 |&gt; Nervoku.tv_channels() [%{ name: &quot;UNC-EX&quot;, number: 58.3, physical_channel: 44, physical_frequency: 653000, type: &quot;air-digital&quot; }, %{ name: &quot;NCCHL&quot;, number: 58.4, physical_channel: 44, physical_frequency: 653000, type: &quot;air-digital&quot; }]"},{"ref":"SSDP.html","title":"SSDP","type":"module","doc":"Implements a simple discovery client for SSDP, not the full UPNP spec. Supports M-SEARCH and gathering unicast responses. Does not support prolonged listens and gathered notifies at this time."},{"ref":"SSDP.html#discover/1","title":"SSDP.discover/1","type":"function","doc":"Issue an SSDP &quot;M-SEARCH&quot; request to the network, and listen for a bit for responses, reporting back discovered nodes in a hash. Parameters is Dict with the following defined keyword atoms: target - the search target, as defined by the ssdp spec. Defaults to &quot;ssdp:all&quot; seconds - sent with the search request to tell nodes how long they have to respond. Defaults to 2. slack - Number of milliseconds to wait after the seconds parameter for responses. Defaults to 250, but can be set higher for high-latency networks"},{"ref":"SSDP.html#roku/0","title":"SSDP.roku/0","type":"function","doc":"M-SEARCH * HTTP/1.1 Host: 239.255.255.250:1900 Man: &quot;ssdp:discover&quot; ST: roku:ecp"}]